package edu.fichte.pbi.ide;

import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;

import edu.fichte.pbi.ide.views.ConsoleView;
import edu.fichte.pbi.ide.views.DebugView;
import edu.fichte.pbi.ide.views.EEPROMView;
import edu.fichte.pbi.ide.views.FileExplorer;
import edu.fichte.pbi.ide.views.HelpView;
import edu.fichte.pbi.ide.views.VariableView;

public class Perspective implements IPerspectiveFactory {

	@Override
	public void createInitialLayout(IPageLayout layout) {
		String editorAreaId = layout.getEditorArea();
		layout.setEditorAreaVisible(false);
		layout.addPlaceholder(FileExplorer.ID, IPageLayout.LEFT, 0.17f, editorAreaId);
		layout.addView(HelpView.ID, IPageLayout.RIGHT, 0.7f, editorAreaId);
		layout.setFixed(true);
		layout.addPlaceholder(ConsoleView.ID, IPageLayout.BOTTOM, 0.54f,
				editorAreaId);
		layout.addPlaceholder(VariableView.ID, IPageLayout.RIGHT, 0.7f,
				ConsoleView.ID);
		layout.addPlaceholder(DebugView.ID, IPageLayout.RIGHT, 0.4f,
				VariableView.ID);
		layout.addPlaceholder(EEPROMView.ID, IPageLayout.RIGHT, 0.63f,
				editorAreaId);

	}
}
